# IceGrid::ServerDynamicInfo

## Overview

### struct ServerDynamicInfo

Dynamic information about the state of a server.

#### Used By

ServerDynamicInfoSeq
NodeObserver::updateServer

## Data Member Index

id
  The id of the server.
state
  The state of the server.
pid
  The process id of the server.
enabled
  Indicates whether the server is enabled.

## Data Members

string id;

  The id of the server.

ServerState state;

  The state of the server.

int pid;

  The process id of the server.

bool enabled;

  Indicates whether the server is enabled.